curl --request GET \
--url https://platform.versori.com/api/v2/o/{organisation_id}/environments/{environment_id}/activations \
--header 'Authorization: Bearer <token>'[
{
"id": "<string>",
"user": {
"id": "<string>",
"externalId": "<string>",
"displayName": "<string>",
"organisationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"connections": [
{
"id": "<string>",
"name": "<string>",
"credentials": [
{
"id": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"baseUrl": "<string>",
"systemId": "<string>",
"connectionTemplateId": "<string>"
}
],
"dynamicVariables": {}
}
]ListActivations returns a list of all the Activations for the given environment.
curl --request GET \
--url https://platform.versori.com/api/v2/o/{organisation_id}/environments/{environment_id}/activations \
--header 'Authorization: Bearer <token>'[
{
"id": "<string>",
"user": {
"id": "<string>",
"externalId": "<string>",
"displayName": "<string>",
"organisationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"connections": [
{
"id": "<string>",
"name": "<string>",
"credentials": [
{
"id": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"baseUrl": "<string>",
"systemId": "<string>",
"connectionTemplateId": "<string>"
}
],
"dynamicVariables": {}
}
]Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
The static query parameter is used to list the static activation/user on endpoints. This query parameter is really only intended for internal use or by the UI.